List Proposed
GET
/matching/proposed
const url = 'https://example.com/matching/proposed';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/matching/proposedResponses
Section titled “Responses”Successful Response
Media typeapplication/json
Response List Proposed Matching Proposed Get
Array<object>
MatchOutobject
expected_id
required
Expected Id
string format: uuid
id
required
Id
string format: uuid
posted_id
required
Posted Id
string format: uuid
score
required
Score
number
state
required
State
string
Example generated
[ { "expected_amount": "example", "expected_date": "2026-04-15", "expected_description": "example", "expected_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "expected_payee": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "posted_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "score": 1, "state": "example", "variance": "example", "variance_ratio": "example" }]